Bug 1445936 - SCVMM provisioning started failing with Errno::ENAMETOOLONG
Summary: SCVMM provisioning started failing with Errno::ENAMETOOLONG
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Windows
high
high
Target Milestone: GA
: 5.8.0
Assignee: Daniel Berger
QA Contact: Jeff Teehan
URL:
Whiteboard: provider:scvmm
Depends On: 1444201
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-26 20:43 UTC by Satoe Imaishi
Modified: 2017-05-31 15:02 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1444201
Environment:
SCVMM2
Last Closed: 2017-05-31 15:02:11 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-26 20:46:02 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/5c356b524ca1da820084446c4f7e356f6f192cf0

commit 5c356b524ca1da820084446c4f7e356f6f192cf0
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Tue Apr 25 10:58:01 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 26 16:45:16 2017 -0400

    Merge pull request #14859 from djberg96/powershell2
    
    [SCVMM] Always assume a string for run_powershell_script
    (cherry picked from commit a3cafd81b6d1d579343374a32e2c3078e16d7816)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445936

 .../microsoft/infra_manager/powershell.rb          |  6 +--
 .../microsoft/infra_manager/refresh_parser.rb      |  3 +-
 .../microsoft/infra_manager/powershell_spec.rb     | 51 ++++++++++++++++++++++
 3 files changed, 55 insertions(+), 5 deletions(-)

Comment 3 Jeff Teehan 2017-04-28 18:05:05 UTC
Added test case reference.

Comment 4 Jeff Teehan 2017-05-03 16:31:10 UTC
Reconfirmed fix on 5.8.0.13.
Moving to verified.

Comment 6 errata-xmlrpc 2017-05-31 15:02:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.